libvirt-python in test requirement throws error in tox build for py27 for config module

Bug #1869318 reported by Ambarish Das on 2020-03-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
Low
Ambarish Das

Bug Description

Brief Description
-----------------
During Unit Test environment creation using tox; libvirt-python package dependency in test_requirement.txt file throws error of dependent package missing

Severity
--------
Major

Steps to Reproduce
------------------
1.Clone stx layered build repository in ubuntu 16.04/18.04 host system using following link
https://docs.starlingx.io/developer_resources/Layered_Build.html

2.Browse to https://opendev.org/starlingx/config/src/branch/master/sysinv/sysinv/sysinv/

3.Install tox and other relevant packages for Unit Test environment.

4.Try to execute Unit tests by "tox -e py27"

Expected Behavior
------------------
"tox -e py27" command should work properly without any issue.

Actual Behavior
----------------
build fails.details listed in attached file.

Reproducibility
---------------
100% reproducible in latest master branch

System Configuration
--------------------
tried on one node system.

Branch/Pull Time/Commit
-----------------------
master branch latest code.

Timestamp/Logs
--------------
attached

Test Activity
-------------
Unit test for config module

Workaround
----------
commenting out libvirt-python>=1.2.5 in test_requirements.txt file; build works fine.

Ambarish Das (hiambar) wrote :

build fail logs

Ambarish Das (hiambar) wrote :

build log

Ghada Khalil (gkhalil) on 2020-04-03
tags: added: stx.build
Al Bailey (albailey1974) wrote :

It looks as though the previous pip cache contains an older libvirt 4.0.0 which generates an error when it is uninstalled, while attempting to install 5.1.0 (the upper constrained value for stein).

It also looks like python-libvirt is not used anywhere by sysinv anymore, so removing it from test-requirements.txt is a valid change to make.

Removing it seems appropriate as a cleanup activity.

Ambarish Das (hiambar) wrote :

Thanks.I will commit a patch for this cleanup.

Ambarish Das (hiambar) wrote :

patch submitted for review:
https://review.opendev.org/#/c/717426/

Ambarish Das (hiambar) on 2020-04-06
Changed in starlingx:
status: In Progress → Fix Committed
assignee: nobody → Ambarish Das (hiambar)
Ghada Khalil (gkhalil) wrote :

@Ambraish, you don't need to manually put the status to "Fix Committed". Gerrit will automatically update the LP to "Fix Released" once your code is merged.

"Fix Committed" is just used for merges to branches other than master.

Changed in starlingx:
importance: Undecided → Low
tags: added: stx.config stx.zuul
removed: stx.build
Changed in starlingx:
status: Fix Committed → In Progress

Reviewed: https://review.opendev.org/717426
Committed: https://git.openstack.org/cgit/starlingx/config/commit/?id=b101cc1719e356baac24b7eda3f7ff2bdd5e984d
Submitter: Zuul
Branch: master

commit b101cc1719e356baac24b7eda3f7ff2bdd5e984d
Author: Ambarish Das <email address hidden>
Date: Fri Apr 3 21:38:17 2020 -0500

    Clean up: python libvirt removed from test requirement of sysinv

    This patch removes the dependency of libvirt-python from
    test_requirements.txt file of sysinv.This package is no more
    used by sysinv and generates error in "tox" execution.

    Closes-Bug:#1869318
               libvirt-python in test requirement throws error in tox build
               for py27 for config module

    Change-Id: I6f662159d5d71465079746755dabc8c063d9a158
    Signed-off-by: Ambarish Das <email address hidden>

Changed in starlingx:
status: In Progress → Fix Released
Download full text (37.5 KiB)

Reviewed: https://review.opendev.org/729812
Committed: https://git.openstack.org/cgit/starlingx/config/commit/?id=539d476456277c22d0dcbc3cbbc832e623242264
Submitter: Zuul
Branch: f/centos8

commit 320cc40de8518787c2be234d7fdf88ec0a462df2
Author: Don Penney <email address hidden>
Date: Wed May 13 13:06:11 2020 -0400

    Add auto-versioning to starlingx/config packages

    This update makes use of the PKG_GITREVCOUNT variable to auto-version
    the packages in this repo.

    Change-Id: I3a2c8caeb4b4647608978b1f2ccfcf0661508803
    Depends-On: https://review.opendev.org/727837
    Story: 2006166
    Task: 39766
    Signed-off-by: Don Penney <email address hidden>

commit d9f2aea0fb228ed69eb9c9262e29041eedabc15d
Author: Sharath Kumar K <email address hidden>
Date: Wed Apr 22 16:22:22 2020 +0200

    De-branding in starlingx/config: CGCS -> StarlingX

    1. Rename CGCS to StarlingX for .spec files

    Test:
    After the de-brand change, bootimage.iso has been built in the flock
    Layer and installed on the dev machine to validate the changes.

    Please note, doing de-brand changes in batches, this is batch9 changes.

    Story: 2006387
    Task: 39524

    Change-Id: Ia1fe0f2baafb78c974551100f16e6a7d99882f15
    Signed-off-by: Sharath Kumar K <email address hidden>

    De-branding in starlingx/config: CGCS -> StarlingX

    1. Rename CGCS to StarlingX for .spec file
    2. Rename TIS to StarlingX for .service files

    Test:
    After the de-brand change, bootimage.iso has been built in the flock
    Layer and installed on the dev machine to validate the changes.

    Please note, doing de-brand changes in batches, this is batch10 changes.

    Story: 2006387
    Task: 36202

    Change-Id: I404ce0da2621495175ad31489e9ad6f7b0211e26
    Signed-off-by: Sharath Kumar K <email address hidden>

commit d141e954fa6bbf688929ec90d1b6604a97792c43
Author: Teresa Ho <email address hidden>
Date: Tue Mar 31 10:08:57 2020 -0400

    Sysinv extensions for FPGA support

    This update adds cli and restapi to support FPGA device
    programming.

    CLI commands:
    system device-image-apply
    system device-image-create
    system device-image-delete
    system device-image-list
    system device-image-remove
    system device-image-show
    system device-image-state-list
    system device-label-list
    system host-device-image-update
    system host-device-image-update-abort
    system host-device-label-assign
    system host-device-label-list
    system host-device-label-remove

    Story: 2006740
    Task: 39498

    Change-Id: I556c2e7a51b3931b5a66ab27b67f51e3a8aebd9f
    Signed-off-by: Teresa Ho <email address hidden>

commit 491cca42ed854d2cb3ee3646b93c56a4f45f563c
Author: Elena Taivan <email address hidden>
Date: Wed Apr 29 11:25:26 2020 +0000

    Qcow2 conversion to raw can be done using 'image-conversion' filesystem

    1. Conversion filesystem can be added before/after
       stx-openstack is applied
    2. If conversion filesystem is added after stx-openstack
       is applied, changes to stx-openstack will only take effec...

tags: added: in-f-centos8
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers